Bug 104163 - [GEN9+] 2-3% perf drop in GfxBench Manhattan 3.1 from "i965: Disable regular fast-clears (CCS_D) on gen9+"
Summary: [GEN9+] 2-3% perf drop in GfxBench Manhattan 3.1 from "i965: Disable regular ...
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-07 13:24 UTC by Eero Tamminen
Modified: 2018-12-05 11:55 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eero Tamminen 2017-12-07 13:24:29 UTC
This commit:
----------------------------------------------------
commit ee57b15ec764736e2d5360beaef9fb2045ed0f68
Author:     Jason Ekstrand <jason.ekstrand@intel.com>
AuthorDate: Wed Nov 29 16:22:42 2017 -0800
Commit:     Jason Ekstrand <jason.ekstrand@intel.com>
CommitDate: Fri Dec 1 10:14:28 2017 -0800

    i965: Disable regular fast-clears (CCS_D) on gen9+
    
    This partially reverts commit 3e57e9494c2279580ad6a83ab8c065d01e7e634e
    which caused a bunch of GPU hangs on several Source titles.  To date, we
    have no clue why these hangs are actually happening.  This undoes the
    final effect of 3e57e9494c227 and gets us back to not hanging.  Tested
    with Team Fortress 2.
    
    Reviewed-by: Kenneth Graunke <kenneth@whitecape.org>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=102435
    Fixes: 3e57e9494c2279580ad6a83ab8c065d01e7e634e
    Cc: mesa-stable@lists.freedesktop.org
----------------------------------------------------

Causes following performance drops on GEN9+ (Core) platforms:
* 2-3% in GfxBench Manhattan 3.1
* 1-2% in GfxBench CarChase, SynMark v7 Deferred
* 1% in GfxBench Aztec Ruins

Only other affected test was less relevant / partly CPU bound SynMark DrvState, it improved by 2% (because it has large number of small viewports which cause fast-clear handling CPU overhead affect it more than memory bandwidth).

I don't have yet data from BXT, but on GLK the impact was smaller.
Comment 1 Jason Ekstrand 2018-01-17 05:42:41 UTC
This should all be fixed by the following commit:

commit f79bb2e651f329364dfb3db0aac4b72f91f130cc
Author: Jason Ekstrand <jason.ekstrand@intel.com>
Date:   Tue Dec 5 14:41:48 2017 -0800

    Re-enable regular fast-clears (CCS_D) on gen9+
    
    This reverts commit ee57b15ec764736e2d5360beaef9fb2045ed0f68, "i965:
    Disable regular fast-clears (CCS_D) on gen9+".  How taht we've fixed the
    issue with too many different aux usages in the render cache, it should
    be safe to re-enable CCS_D for sRGB.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=104163
    Tested-by: Eero Tamminen <eero.t.tamminen@intel.com>
    Reviewed-by: Iago Toral Quiroga <itoral@igalia.com>
    Reviewed-by: Kenneth Graunke <kenneth@whitecape.org>
    Cc: "17.3" <mesa-stable@lists.freedesktop.org>
Comment 2 Eero Tamminen 2018-12-05 11:55:00 UTC
Forgot to update this when I verified it in January. -> VERIFIED


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.